package com.syaroful.agrilinkvocpro.control_feature.core.state

sealed class ControlState<out T> {
    data object Idle : ControlState<Nothing>()
    data object Loading : ControlState<Nothing>()
    data class Success<T>(val data: T?) : ControlState<T>()
    data class Error(val message: String) : ControlState<Nothing>()
}